> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shared Pipeline Artifact Details

> Returns artifact metadata and the list of shared pipelines within a specific version. If versionName is omitted, the latest version is returned.



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml get /v1/shared-pipelines/artifacts/details
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/shared-pipelines/artifacts/details:
    get:
      tags:
        - Shared Pipeline Artifacts
      summary: Get Shared Pipeline Artifact Details
      description: >-
        Returns artifact metadata and the list of shared pipelines within a
        specific version. If versionName is omitted, the latest version is
        returned.
      operationId: getSharedArtifactDetails
      parameters:
        - description: The prefix identifier grouping related shared pipelines
          example: my-shared-pipeline
          in: query
          name: sharedPipelineIdPrefix
          required: true
          schema:
            type: string
            description: ${sharedpipeline.metadata.sharedPipelineIdPrefix.desc}
            example: my-shared-pipeline
            minLength: 1
        - description: The version name of the shared pipeline artifact
          example: 1.0.0
          in: query
          name: versionName
          required: false
          schema:
            type: string
            description: ${sharedpipeline.metadata.versionName.desc}
            example: 1.0.0
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SharedPipelineDetailsResponse'
          description: Shared pipeline artifact details retrieved successfully
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Invalid request parameters
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Missing or invalid authentication token
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Insufficient permissions to get shared pipeline artifact details
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Shared pipeline artifact not found
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
components:
  schemas:
    SharedPipelineDetailsResponse:
      type: object
      properties:
        artifactDetails:
          $ref: '#/components/schemas/SharedPipelineMetadata'
          description: Metadata for the requested shared pipeline version
        sharedPipelines:
          type: array
          description: List of shared pipelines within this shared pipeline version
          items:
            $ref: '#/components/schemas/SharedPipelineResource'
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
    SharedPipelineMetadata:
      type: object
      properties:
        branch:
          type: string
          description: The git branch associated with this version, if available
          example: main
        commitHash:
          type: string
          description: The git commit hash associated with this version, if available
          example: a1b2c3d4e5f6
        createdAt:
          type: string
          format: date-time
          description: The date and time this shared pipeline version was created
          example: '2025-01-15T10:30:00.000Z'
        enabled:
          type: boolean
          description: Whether this version of the shared pipeline is enabled
          example: true
        provider:
          type: string
          description: Provider identifier
          example: matillion
        sharedPipelineIdPrefix:
          type: string
          description: The prefix identifier grouping related shared pipelines
          example: my-shared-pipeline
        versionName:
          type: string
          description: The version name of the shared pipeline artifact
          example: 1.0.0
    SharedPipelineResource:
      type: object
      properties:
        description:
          type: string
          description: Description of the shared resource
          example: ETL pipeline for loading data
        sharedPipelineId:
          type: string
          description: >-
            The unique identifier for the shared pipeline within its prefix
            group
          example: my-pipeline
        sourcePipeline:
          type: string
          description: The source pipeline path of the shared pipeline within the artifact
          example: pipelines/etl-load
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````